/**
* 文件：DemoController.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.demo.web;


import com.alibaba.fastjson.JSONObject;
import com.mortals.xhx.module.demo.model.DemoEntity;
import com.mortals.xhx.module.demo.service.DemoService;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import org.springframework.web.bind.annotation.*;

/**
 * <p>Title: 演示模块</p>
 * <p>Description: DemoController  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@RestController
@RequestMapping("demo")
public class DemoController extends BaseCRUDJsonMappingController<DemoService,DemoForm, DemoEntity,Long> {

	public DemoController(){
		super.setFormClass(DemoForm.class);
		super.setModuleDesc("演示模块");
	}

	/**
	 * test
	 *
	 * @param:
	 * @return:
	 * @Author: ZXF
	 */
	@PostMapping("test")
	public String testSms(@RequestParam String mobile, @RequestParam String templete) {
		log.info("收到【测试】请求【请求体】-->  ");

		DemoEntity demoEntity = this.service.get(1L, null);


		log.info("响应【测试】【响应体】-->  " + JSONObject.toJSONString(demoEntity));
		return JSONObject.toJSONString(demoEntity);
	}


	@GetMapping("/echo")
	public String echo(String name) {
		return "provider:" + name;
	}




}